# eth0/eth1 on routerboard
eth0 is for WAN port and eth1 is for other LAN ports.

# package management
- Update package list (with internet access): opkg update
- Install iperf: opkg install iperf
- Install stty: opkg install coreutils-stty

# UART
- Show UART input: `cat /dev/ttyS0`
- Set UART baud rate: `stty -F /dev/ttyS0 19200`
- Disable serial console: comment out `/etc/inittab` as
```
::sysinit:/etc/init.d/rcS S boot
::shutdown:/etc/init.d/rcS K shutdown
# Disabled serial console.
#ttyS0::askfirst:/bin/ash --login
```

# Frequently used commands
- ssh to the router: `ssh root@192.168.1.3`
- Copy from router to laptop: `scp pic.txt curtis1@192.168.1.117:~/`
- Copy from laptop to router: `scp openwrt/AP_bridge/network root@192.168.1.2:/etc/config/`


# Frequently visited files
- `/etc/config/network`
- `/etc/config/wireless`
- `/etc/config/dhcp`

# OpenWrt
- Reboot WiFi: `wifi`

## iPerf
- Install:
1. Make sure the router is connected to internet by pinging the Google DNS server 8.8.8.8. If not, configure the router to bridged AP mode with DHCP address.

2. Update packages by `opkg update`

3. Install iperf by `opkg install iperf`

- Server side (receiver): `iperf -s -u -i 1`
- Client side (transmitter): `iperf -c 192.168.1.2 -u -b 4.4m`

## iw
- Check wireless link status: `iw dev wlan0 link`
- Turn RTS off: `iw phy phy0 set rts off`
- Turn aggregated fragment off: `iw phy phy0 set frag off`
- List the wireless interfaces: `iw list`
- Change txpower: `iw dev wlan0 set txpower fixed 100`, where 100mBm=1dBm
## autolog
- Log RSSI: `./autolog-RSSI filename`
- Log throughput: `./autolog-throughput bitrate filename`
- Log from remote machine: ssh root@192.168.1.3 /home/curtis/autolog-RSSI | tee log

## Sychronize time between two machines
- Set the time from a remote machine: `rt=ssh root@192.168.1.2 date && date -s $rt`
- Manually calibrate it with UTC time: `date -s HH:MM:SS`
