# Access Point 

## Equipment checklist
- Water-proof box
- UPS + backup battery (fully charged)
- Router box (tx power and distance configured) + power adapter
- Rack + fishing rod
- Self-made antenna + long cable
- Zip tie + scissors
- Attenuator + connectors + torque wrench
- Spectrum analyzer + 6Harmonics TV antenna (2 dBi gain) + TP-Link WiFI antenna (8 dBi gain)
- Raspberry Pi + camera + charger + Ethernet cable 
- VirtualBox laptop
- One walkie-talkie (fully charged)
- Garmin GPS + charger
- Power strip
- Paper + pencil

## Experiment procedure
- Connect antenna to router box and fix antenna on the 5m-rod.
- Connect Raspberry Pi to router box via Ethernet cable.
- Power on router box and Raspberry Pi.
- Take a picture of the experimental setup.
- Give GPS coordinates to client side via walkie-talkie.
<br>
 
- After the entire measurement, if there is still power in the battery. Measure noise floor for TV band (473 MHz) and WiFi band (2.432 GHz). Spectrum analyzer drains battery super fast.

# Client

## Equipment checklist
- Water-proof box
- UPS + backup battery (fully charged)
- Router box (tx power and distance configured) + power adapter
- Rack + fishing rod
- Self-made antenna + long cable
- Zip tie + scissors
- 6 Harmonics antenna
- Attenuator + connectors
- Linux laptop + charger + Ethernet cable 
- One walkie-talkie (fully charged)
- Power strip
- Paper + pencil + board

## Experiment procedure
- Connect antenna to router box and fix antenna on the 5m-rod.
- Connect Linux laptop to router box via Ethernet cable.
- Power on router box.
- Take a picture of the experimental setup.

- For the client router (`192.168.1.3`), change `option mode 'ap'` to `option mode 'sta'` in WiFi configurations and refresh by `wifi` to establish connection. Check connection with AP by `ping 192.168.1.2`.

- If there is a stable connection, then sync both routers with UTC time of the Linux laptop. Open the clock on the laptop and set the routers' time with `date -s yyyy-mm-dd` and `date -s HH:MM:SS`.

- On the Linux laptop, enter the directory `~/openwrt/autologs/` and start data collection by

  - `ssh root@192.168.1.3 /home/curtis/autolog-RSSI | tee filename`

  - `ssh root@192.168.1.3 /home/curtis/autolog-delay | tee filename`

  - `stty -F /dev/stdout 19200`
 
    `ssh root@192.168.1.3 /home/curtis/autolog-sensor | tee filename`
    
  - Change the fixed coordinates of AP in `distance_calculator.py`,
  
    `./autolog-distance-speed | tee filename`

, where `filename` is the log file you want to save data to. Change it accordingly.

- At the stopping points with 0.05 log-distance-interval (100-112-126-141-159-178-200-224-251-282-316-355-398-447-501-562-631-708-794-891-1000-1122-1259-1413-1585-1778-1995-2239-2512-2818-3162-3548-3981-4467-5012-5623-6310-7079-7943-8913-10000),

  1. Measure the UDP throughput by 

      - `ssh root@192.168.1.3 /home/curtis/autolog-throughput-rx | tee filename`

      - `ssh root@192.168.1.2 /home/curtis/autolog-throughput-tx 5m | tee filename`, where 5m is 5Mbps (a typical throughput upperbound). You can change it to any maxmimum bit rate you want.

  2. Launch webcam connection by visiting `http://192.168.1.200:8000` in a browser. Record the surveillance video.

  3. Change `option distance` in `/etc/config/wireless` to next stopping point distance for both AP and client.
  
- When you are done, change `option mode 'sta'` to `option mode 'ap'` in WiFi configurations for the client router to prevent high-power scanning damage.

# Frequently used commands

## Modify WiFi configurations
- Open a terminal in Linux and ssh to the router via `ssh root@192.168.1.2` and enter the password. The IP address and password are written on the router.
- Edit the WiFi configuration file by `vi /etc/config/wireless`.
- Press `i` to start editing and `Esc` to finish editing. Type `:w` and press `Enter` to save editing. Type `:q` and `Enter` to quit.
- Refresh WiFi by `wifi`.
