# Raspberry Pi Webcam Server

## Install OS to RaspberryPi
[Install Raspbian](https://www.raspberrypi.org/downloads/)

## Install Related Packages
	* sudo apt-get install python-dev python-pip python-opencv libjpeg-dev
	* sudo pip install tornado Pillow picamera

## [Download Camp Repo](https://github.com/patrickfuller/camp)
	* git clone https://github.com/patrickfuller/camp.git

## Take Off Unnecessary Code 
* vim camp/server.py
* comment following lines
	- `camera.start_preview()`
	- `webbrowser.open("http://localhost:%d/" % args.port, new=2)`
## Modify Camera Resolution && Framerate
* Resolution
	* change `resolutions = {"high": (1280, 720), "medium": (640, 480), "low": (320, 240)}`
	* to `resolutions = {"high": (1280, 720), "medium": (640, 480), "low": (128, 112)}`
* Framerate
	* add line `camera.framerate = 2` after `camera = picamera.PiCamera()`
	
Resolution | Framerate
:---:      | :---:
128x112    | 2

## Assign Static IP While Booting Up
1. Open the file at `/boot/cmdline.txt`  with write permission.

2. Append the snippet `ip=192.168.1.200::192.168.1.1:255.255.255.0:rpi:eth0:off` and save.

3. `sudo reboot`

## Execute Webcam Server
	* python camp/server.py
Go to 192.168.1.200:8000 to check out your webcam. Change the IP address according to your RaspberryPi IP settings.

**Run Webcam at Bootup**
1. `sudo vi /etc/rc.local`.
1. add `nohup python /home/pi/camp/server.py &` before the line of `exit 0`.

**Kill the process**
1. `ps -A | grep python`
1. `sudo kill PID`, where PID is the process ID you just got.

